%define anolis_release 4

%global xnstyle_sheets xsl-ns-stylesheets

Name: docbook5-style-xsl
Summary: Norman Walsh's XSL stylesheets for DocBook 5.X
Version: 1.79.2
Epoch: 1
Release: %{anolis_release}%{?dist}
License: MIT and MPLv1.1
Provides: docbook-xsl-ns = %{version}
Requires: xml-common >= 0.6.3
Requires(post): libxml2 >= 2.4.8
Requires(postun): libxml2 >= 2.4.8
Conflicts: passivetex < 1.21
BuildArch: noarch
URL: https://github.com/docbook/xslt10-stylesheets
Source0: https://github.com/docbook/xslt10-stylesheets/releases/download/release/%{version}/docbook-xsl-%{version}.tar.bz2

%description
XSLT 1.0 stylesheets are a set of XML files that define rules for transforming XML
documents into other formats, such as HTML, XHTML, or plain text. They are written in XSLT,
a declarative language for manipulating XML data. These stylesheets enable developers to
separate the presentation of the data from the data itself, allowing for greater flexibility
and reusability of data. They are widely used in web development and publishing industries.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The document package provides documentation files for %{name}.

%prep
%autosetup -n docbook-xsl-%{version}
chmod +x epub/bin/dbtoepub
rm -rf $(find -name '.gitignore' -type f)

%build

%install
DESTDIR=$RPM_BUILD_ROOT
mkdir -p $DESTDIR%{_datadir}/sgml/docbook/%{xnstyle_sheets}-%version
cp -a VERSION $DESTDIR%{_datadir}/sgml/docbook/%{xnstyle_sheets}-%version/VERSION.xsl
cp -a [[:lower:]]* $DESTDIR%{_datadir}/sgml/docbook/%{xnstyle_sheets}-%version/

ln -s VERSION.xsl $DESTDIR%{_datadir}/sgml/docbook/%{xnstyle_sheets}-%version/VERSION
ln -s %{xnstyle_sheets}-%{version} $DESTDIR%{_datadir}/sgml/docbook/%{xnstyle_sheets}
rm -rf $DESTDIR%{_datadir}/sgml/docbook/%{xnstyle_sheets}/install.sh

%post
CATALOG=%{_sysconfdir}/xml/catalog
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" \
 "http://cdn.docbook.org/release/xsl/%{version}" \
 "file://%{_datadir}/sgml/docbook/%{xnstyle_sheets}-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" \
 "http://cdn.docbook.org/release/xsl/%{version}" \
 "file://%{_datadir}/sgml/docbook/%{xnstyle_sheets}-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteSystem" \
 "http://cdn.docbook.org/release/xsl/current/" \
 "file://%{_datadir}/sgml/docbook/%{xnstyle_sheets}-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" \
 "http://cdn.docbook.org/release/xsl/current/" \
 "file://%{_datadir}/sgml/docbook/%{xnstyle_sheets}-%{version}" $CATALOG

%{_bindir}/xmlcatalog --noout --add "rewriteSystem" \
 "http://docbook.sourceforge.net/release/xsl-ns/current" \
 "file://%{_datadir}/sgml/docbook/%{xnstyle_sheets}-%{version}" $CATALOG
%{_bindir}/xmlcatalog --noout --add "rewriteURI" \
 "http://docbook.sourceforge.net/release/xsl-ns/current" \
 "file://%{_datadir}/sgml/docbook/%{xnstyle_sheets}-%{version}" $CATALOG

%postun
if [ "$1" = 0 ]; then
  CATALOG=%{_sysconfdir}/xml/catalog
  %{_bindir}/xmlcatalog --noout --del \
   "file://%{_datadir}/sgml/docbook/%{xnstyle_sheets}-%{version}" $CATALOG
fi

%files
%license COPYING
%{_datadir}/sgml/docbook/%{xnstyle_sheets}
%{_datadir}/sgml/docbook/%{xnstyle_sheets}-%{version}
%exclude %{_datadir}/sgml/docbook/%{xnstyle_sheets}-%{version}/extensions

%files doc
%doc BUGS README TODO NEWS RELEASE-NOTES.*

%changelog
* Thu Dec 14 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:1.79.2-4
- rebuild

* Sat Apr 15 2023 Heng Qi <hengqi@linux.alibaba.com> - 1:1.79.2-3
- Refactor the spec file

* Mon Feb 13 2023 happy_orange <songnannan@linux.alibaba.com> - 1:1.79.2-2
- add doc package

* Sat May 7 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:1.79.2-1
- init from upstream
